summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Daniel LEVAI2010-04-24 22:23:26 +0200
committer David Somero2010-05-15 10:50:13 +0200
commit2d16978b3b94b411f9247f4c5898713c271b2664 (patch)
treef22325e12ef4286ccb5fc0a07ffb7f4d038404d4
parent96cc19b3f3f4a63ad3d5d9bf8347f38200b753fd (diff)
downloadslackbuilds-2d16978b3b94b411f9247f4c5898713c271b2664.tar.gz
desktop/scrotwm: Added (small dynamic tiling window manager)
-rw-r--r--desktop/scrotwm/README9
-rwxr-xr-xdesktop/scrotwm/scrotwm.SlackBuild94
-rw-r--r--desktop/scrotwm/scrotwm.info10
-rw-r--r--desktop/scrotwm/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/desktop/scrotwm/README b/desktop/scrotwm/README
new file mode 100644
index 0000000000..4c2513d850
--- /dev/null
+++ b/desktop/scrotwm/README
@@ -0,0 +1,9 @@
+Scrotwm is a small dynamic tiling window manager for X11. It tries
+to stay out of the way so that valuable screen real estate can be
+used for much more important stuff. It has sane defaults and does
+not require one to learn a language to do any configuration. It
+was written by hackers for hackers and it strives to be small,
+compact and fast.
+
+This package contains an example scrotwm.conf and shell scripts
+for it.
diff --git a/desktop/scrotwm/scrotwm.SlackBuild b/desktop/scrotwm/scrotwm.SlackBuild
new file mode 100755
index 0000000000..f3263fdb89
--- /dev/null
+++ b/desktop/scrotwm/scrotwm.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh -e
+
+# Build script for scrotwm
+# Copyright (c) 2010 Daniel LEVAI
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# * Neither the name of the <organization> nor the
+# names of its contributors may be used to endorse or promote products
+# derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED ''AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=scrotwm
+VERSION=0.9.22
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "${ARCH}" == "i486" ];then
+ SLKCFLAGS='-O2 -march=i486 -mtune=i686'
+ LIBDIRSUFFIX=''
+elif [ "$ARCH" == "i686" ]; then
+ SLKCFLAGS='-O2 -march=i686 -mtune=i686'
+ LIBDIRSUFFIX=''
+elif [ "${ARCH}" == "x86_64" ];then
+ SLKCFLAGS='-O2 -fPIC'
+ LIBDIRSUFFIX='64'
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd linux
+ CFLAGS="$SLKCFLAGS" make \
+ LIBDIR=/usr/lib$LIBDIRSUFFIX \
+ MANDIR=/usr/man PREFIX=/usr
+
+ make install DESTDIR=$PKG \
+ LIBDIR=/usr/lib$LIBDIRSUFFIX \
+ MANDIR=/usr/man PREFIX=/usr
+cd ..
+
+strip --strip-unneeded $PKG/usr/bin/scrotwm
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/examples/
+cp -a scrotwm.conf initscreen.sh baraction.sh screenshot.sh \
+ $PKG/usr/doc/$PRGNAM-$VERSION/examples/
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/scrotwm/scrotwm.info b/desktop/scrotwm/scrotwm.info
new file mode 100644
index 0000000000..fca73beca6
--- /dev/null
+++ b/desktop/scrotwm/scrotwm.info
@@ -0,0 +1,10 @@
+PRGNAM="scrotwm"
+VERSION="0.9.22"
+HOMEPAGE="http://scrotwm.org"
+DOWNLOAD="http://scrotwm.org/snapshot/scrotwm-0.9.22.tgz"
+MD5SUM="bc66c66d300b3176c119bfdae43b6a42"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Daniel LEVAI"
+EMAIL="leva@ecentrum.hu"
+APPROVED="dsomero"
diff --git a/desktop/scrotwm/slack-desc b/desktop/scrotwm/slack-desc
new file mode 100644
index 0000000000..848e2196e8
--- /dev/null
+++ b/desktop/scrotwm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+scrotwm: scrotwm (small dynamic tiling window manager)
+scrotwm:
+scrotwm: Scrotwm is a small dynamic tiling window manager for X11. It tries
+scrotwm: to stay out of the way so that valuable screen real estate can be
+scrotwm: used for much more important stuff. It has sane defaults and does
+scrotwm: not require one to learn a language to do any configuration. It
+scrotwm: was written by hackers for hackers and it strives to be small,
+scrotwm: compact and fast.
+scrotwm:
+scrotwm: This package contains an example scrotwm.conf and shell scripts.
+scrotwm: Homepage: http://www.scrotwm.org/